Subject: RE: Should IP Security be Optional?[Was RE:draft-ietf-ipv6-cellu lar-host-00.txt -> wg last call?]

From: [email-masked]
Date: Tue, 5 Mar 2002 09:46:31 +0200

Hi Keith,

> true enough.  but then you need the phone to act like an IPv6 router.

But what about if PPP is used?
 
> (it might be sufficient to have the phone act like a network 
> interface - if the network behind it provides a router and ND/RD etc. 
> work normally)

Agreed.

John
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Keith Moore <[email-masked]>
Date: Tue, 05 Mar 2002 08:49:51 -0500

> But what about if PPP is used?

I don't immediately see how the choice of link-level protocol changes this.

Keith

p.s. assuming this is a serial interface, PPP framing might be a reasonable
choice.  But PPP authentication, link negotiation, etc. (as I have experienced
them, I admit I haven't followed the specs in recent years) don't seem like
a good fit.  for instance, would use of PPP restrict the user to at most one 
IP host attached to the phone?  that would seem like an overly restrictive choice.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------